RDCode: RDKit::RecursiveStructureQuery Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# RDKit::RecursiveStructureQuery Class Reference

allows use of recursive structure queries (e.g. recursive SMARTS) More...

`#include <QueryOps.h>`

Inheritance diagram for RDKit::RecursiveStructureQuery:

List of all members.

## Public Member Functions
| RecursiveStructureQuery ()
| RecursiveStructureQuery (ROMol const *query)
| initialize from an ROMol pointer
void | setQueryMol (ROMol const *query)
| sets the molecule we'll use recursively
ROMol const * | getQueryMol () const
| returns a pointer to our query molecule
Queries::Query< int, Atom const *, true > * | copy () const
| returns a copy of this query
## Static Public Member Functions
static int | getAtIdx (Atom const *at)
| returns the index of an atom

## Detailed Description

allows use of recursive structure queries (e.g. recursive SMARTS)

Definition at line 244 of file QueryOps.h.

## Constructor & Destructor Documentation

RDKit::RecursiveStructureQuery::RecursiveStructureQuery | ( |  | ) | `[inline]`

Definition at line 246 of file QueryOps.h.

References getAtIdx(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setDataFunc(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setDescription().

Referenced by copy().

RDKit::RecursiveStructureQuery::RecursiveStructureQuery | ( | ROMol const * | query | ) | `[inline]`

initialize from an ROMol pointer

Notes

- this takes over ownership of the pointer

Definition at line 255 of file QueryOps.h.

References getAtIdx(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setDataFunc(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setDescription(), and setQueryMol().

## Member Function Documentation

static int RDKit::RecursiveStructureQuery::getAtIdx | ( | Atom const * | at | ) | `[inline, static]`

returns the index of an atom

Definition at line 261 of file QueryOps.h.

References RDKit::Atom::getIdx().

Referenced by RecursiveStructureQuery().

void RDKit::RecursiveStructureQuery::setQueryMol | ( | ROMol const * | query | ) | `[inline]`

sets the molecule we'll use recursively

Notes

- this takes over ownership of the pointer

Definition at line 268 of file QueryOps.h.

Referenced by RecursiveStructureQuery().

ROMol const* RDKit::RecursiveStructureQuery::getQueryMol | ( |  | ) | const`[inline]`

returns a pointer to our query molecule

Definition at line 272 of file QueryOps.h.

Queries::Query<int,Atom const *,true>* RDKit::RecursiveStructureQuery::copy | ( |  | ) | const`[inline, virtual]`

returns a copy of this query

Reimplemented from Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 276 of file QueryOps.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_description, Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_set, dp_queryMol, Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::getNegation(), Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::insert(), RecursiveStructureQuery(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setNegation().

The documentation for this class was generated from the following file:

- QueryOps.h